
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Linux Shell 编程实战技巧 / iVAN</title>

    <meta name="description" content="Linux Shell 编程实战技巧 避免定时任务脚本的常见问题 很多脚本在实际使用的时候往往是以定时任务的方式运行,而非手工运行.但是实现同样功能的脚本在这两种运行方式下可能遇到的问题不尽相同. 以定时任务方式运行的脚本往往会遇到以下几个问题. 路径问题:当前目录往往不是脚本文件所在目录.因此,脚本在引用其使用的外部文件,如配置文件和其它脚本文件时,无法方便得使用相对路径. 命令找不到问题:脚本中使用到的一些外部命令,在手工执行脚本的时候可以正常调用.但是在定时任务下运行则可能出现脚本解析器找不到相关命令的问题. 脚本重复运行问题">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Linux Shell 编程实战技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>避免定时任务脚本的常见问题</p>
<p>很多脚本在实际使用的时候往往是以定时任务的方式运行，而非手工运行。但是实现同样功能的脚本在这两种运行方式下可能遇到的问题不尽相同。</p>
<p>以定时任务方式运行的脚本往往会遇到以下几个问题。</p>
<p>路径问题：当前目录往往不是脚本文件所在目录。因此，脚本在引用其使用的外部文件，如配置文件和其它脚本文件时，无法方便得使用相对路径。</p>
<p>命令找不到问题：脚本中使用到的一些外部命令，在手工执行脚本的时候可以正常调用。但是在定时任务下运行则可能出现脚本解析器找不到相关命令的问题。</p>
<p>脚本重复运行问题：一次脚本的执行未结束，而下一次脚本的运行已经开始。导致系统中有多个进程在同时运行同一个脚本。</p>
<p>下面分享定时任务脚本开发中上述几个常见问题的处理方法。</p>
<p>路径问题</p>
<p>定时任务下当前路径往往不是脚本文件所在目录。因此我们需要用绝对路径来引用。即先获取脚本所在目录，然后以该目录为基础采用绝对路径的方式去引用脚本所需的外部文件。方法如下面代码所示。</p>
<p>清单 1. 获取脚本文件所在路径</p>
<pre>
#!/usr/bin/ksh

echo "Current path is: `pwd`"
scriptPath=`dirname $0` #获取脚本所在路径

echo "The script is located at: $scriptPath"
cat "$scriptPath/readme" #使用绝对路径引用外部文件</pre>
<p>将清单 1 中的脚本置于目录/opt/demo/scripts/auto-task 下，并在 cron 中添加该脚本。定时任务运行输出如下。</p>
<p>Current path is: /home/viscent</p>
<p>The script is located at: /opt/demo/scripts/auto-task<br />
命令找不到问题</p>
<p>定时任务下运行的脚本可能出现脚本解析器找不到相关命令的问题。比如 Oracle 数据库中的 sqlplus 命令，脚本在调用该命令时若没有特殊处理则在定时任务下执行会使脚本解析器无法找到这个命令，出现如下所示的错误提示：</p>
<p>sqlplus: command not found</p>
<p>这是因为脚本在定时任务下执行时脚本是由非登录式 Shell 来执行的，并且执行脚本的父 Shell 并非 Oracle 用户的 Shell。因此，此时 Oracle 用户的.profile 文件并没有被调用。故解决的方法是在脚本的开头添加以下代码：<br />
清单 2. 解决找不到外部命令问题</p>
<p>source /home/oracle/.profile</p>
<p>也就说，对于外部命令找不到的问题，可以通过在脚本的开头加一个 source 用户的.profile 文件的语句来解决。<br />
脚本重复运行问题</p>
<p>定时任务脚本的另外一个常见问题是脚本重复运行的问题。比如，一个脚本被设置为每 5 分钟运行一次。若某一次该脚本的运行无法在 5 分钟内结束的话，定时任务服务仍然会新启一个进程来执行该脚本。这时就出现了运行同一个脚本的多个进程。而这可能导致脚本功能紊乱。并且浪费了系统资源。 避免脚本重复运行的方法通常有两种。一是在脚本执行时先检查系统是否存在运行该脚本的其它进程。若存在，则终止当前脚本的运行。二是，脚本运行时检查系统中是否存在其它进程运行该脚本。若存在，则结束那个进程（此方法有一定风险，慎用！）。这两种方法均需要在脚本的开头检查系统是否已经存在运行当前脚本的进程，若存在这样的进程则获取该进程的 PID。示例代码如下清单 3 所示。<br />
清单 3. 防止脚本重复运行方法 1</p>
<pre>
#!/usr/bin/ksh

main(){
selfPID="$$"
scriptFile="$0"

typeset existingPid
existingPid=`getExistingPIDs $selfPID "$scriptFile"`

if [ ! -z "$existingPid" ]; then
  echo "The script already running, exiting..."
  exit -1
fi

doItsTask

}

#获取除本身进程以外其它运行当前脚本的进程的 PID
getExistingPIDs(){
selfPID="$1"
scriptFile="$2"

ps -ef | grep "/usr/bin/ksh ${scriptFile}" | grep -v "grep" | awk "{ if(\$2!=$selfPID) print \$2 }"
}

doItsTask(){
echo "Task is now being executed..."
sleep 20  #睡眠 20s，以模拟脚本在执行需要长时间完成的任务
}

main $*</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索脚本<br />
                    ，                进程<br />
                    ，                运行<br />
                    ，                shell  编程  语句<br />
                    ，                ksh<br />
                    ，                无法解析的外部符号<br />
                    ，                运行问题<br />
                    ，                linux定时任务<br />
                    ，                定时<br />
                    ，                脚本文件<br />
                    ，                oracle 定时任务<br />
                    ，                shell sqlplus<br />
                    ，                脚本loadrunnercookie<br />
                                    任务<br />
                                    shell编程实战、老男孩shell编程实战、linux shell实战学习、linux shell实战、实战linux编程精髓，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 23:59:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%bf%90%e8%a1%8c/" title="运行">运行</a>, <a href="https://www.iamivan.net/tag/%e4%bb%bb%e5%8a%a1/" title="任务">任务</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9a%e6%97%b6/" title="定时">定时</a>, <a href="https://www.iamivan.net/tag/%e6%97%a0%e6%b3%95%e8%a7%a3%e6%9e%90%e7%9a%84%e5%a4%96%e9%83%a8%e7%ac%a6%e5%8f%b7/" title="无法解析的外部符号">无法解析的外部符号</a>, <a href="https://www.iamivan.net/tag/shell-sqlplus/" title="shell sqlplus">shell sqlplus</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%acloadrunnercookie/" title="脚本loadrunnercookie">脚本loadrunnercookie</a>, <a href="https://www.iamivan.net/tag/%e8%bf%90%e8%a1%8c%e9%97%ae%e9%a2%98/" title="运行问题">运行问题</a>, <a href="https://www.iamivan.net/tag/ksh/" title="ksh">ksh</a>, <a href="https://www.iamivan.net/tag/shell-%e7%bc%96%e7%a8%8b-%e8%af%ad%e5%8f%a5/" title="shell  编程  语句">shell  编程  语句</a>, <a href="https://www.iamivan.net/tag/oracle-%e5%ae%9a%e6%97%b6%e4%bb%bb%e5%8a%a1/" title="oracle 定时任务">oracle 定时任务</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac%e6%96%87%e4%bb%b6/" title="脚本文件">脚本文件</a>, <a href="https://www.iamivan.net/tag/linux%e5%ae%9a%e6%97%b6%e4%bb%bb%e5%8a%a1/" title="linux定时任务">linux定时任务</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Linux Shell 编程实战技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVRQmb.html" rel="bookmark">跟老男孩学Linux运维：Shell编程实战&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux/Unix技术丛书 跟老男孩学Linux运维: Shell编程实战 老男孩 著 图书在版编目(CIP)数据 跟老男孩学Linux运维:Shell编程实战 / 老男孩著. -北京:机械工业出版社,2017.1 (Linux/Unix技术丛书) ISBN 978-7-111-55607-7 I. 跟- II. 老- III. Linux操作系统 IV. TP316.85 中国版本图书馆CIP数据核字(2016)第313248号 跟老男孩学Linux运维:Shell编程实战 出版发行:机械工			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYd2JZb.html" rel="bookmark">跟老男孩学Linux运维：Shell编程实战导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 为什么要写这本书 目前全球正处于互联网+的时代,越来越多的传统企业都在通过互联网提供产品和服务,比如,互联网+教育.互联网+金融.互联网+电商.互联网+出租车.互联网+保险等,可以看到,几乎所有的产品.服务都能在网上找到.而支撑互联网的幕后英雄其实就是Linux(包括移动互联网在内),掌握Linux运维技术已经成为每一个IT技术人员的必备技能! 互联网+的时代下企业的网站流量呈爆炸式增长,如果你是运维人员,很可能要面对几十台.几百台.上千台甚至上万台的服务器设备,而对于企业来说,如何提高I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNkXrb.html" rel="bookmark">linux shell编程中date命令的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在linux shell编程中,经常用到日期的加减运算 以前都是自己通过expr函数计算,很麻烦 其实date命令本身提供了日期的加减运算 非常方便.例如:得到昨天的时间 date +%Y%m%d --date=&quot;-1 day&quot; date 用法: date [OPTION]... [+FORMAT] date [-u|--utc|--universal] [MMDDhhmm[[CC]YY][.ss]] date 可以用来显示或设定系统的日期与时间. 令1.在显示方面,使用者可以设定欲显			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M91PdXM.html" rel="bookmark">Linux shell编程基础 三、shell的基本结构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				shell结构大体是由设定变量.内置命令.shell的语法结构.函数组成. 使用实例说明:test.sh #!/bin/bash #说明使用/bin/bash作为这个脚本的解释器 #定义一个函数 function my_fun () { echo &quot;Hello, $1,today is $2&quot; } #定义连个变量 name=$1 today=`date` #函数调用 my_fun &quot;$name&quot; &quot;$today&quot; 上面的这个脚本要想运行还需要做一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boK4Ojb.html" rel="bookmark">linux shell编程 sed指令问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux shell编程 sed指令问题 在同一个目录下有两个文件oracle-ds.xml,postgresql-ds.xml 我分别执行指令 sed -n '/^ */p' oracle-ds.xml sed -n '/^ */p' postgresql-ds.xml 为什么oracle-ds.xml 的可以匹配到,而postgresql-ds.xml无法匹配到,两个文件都有 查了半天没弄懂,求指点 我粘下文件内容: oracle-ds.xml: Oracle9i 2330201			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYRonQp.html" rel="bookmark">跟老男孩学Linux运维：Shell编程实战3&period;3　普通变量</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3.3 普通变量 3.3.1 定义本地变量 本地变量在用户当前Shell生存期的脚本中使用.例如,本地变量oldboy的取值为bingbing,这个值只在用户当前Shell生存期中有意义.如果在Shell中启动另一个进程或退出,那么变量oldboy的值将会无效. 1.?普通变量定义 为普通变量的定义赋值,一般有以下3种写法: 变量名=value #&lt;==赋值时不加引号 变量名='value' #&lt;==赋值时加单引号 变量名=&quot;value&quot; #&lt;==赋值时加双引号 2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rldAz.html" rel="bookmark">跟老男孩学Linux运维：Shell编程实战2&period;6　Shell脚本的建立和执行</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 Shell脚本的建立和执行 2.6.1 Shell脚本的建立 在Linux系统中,Shell脚本(bash Shell程序)通常是在编辑器vi/vim中编写的,由UNIX/Linux命令.bash Shell命令.程序结构控制语句和注释等内容组成.这里推荐用Linux自带的功能更强大的vim编辑器来编写,可以事先做一个别名alias vi='vim',并使其永久生效,这样以后习惯输入vi的读者也就可以直接调用vim编辑器了,设置方法如下: [root@oldboy ~]# echo &quot;a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvRQPM.html" rel="bookmark">跟老男孩学Linux运维：Shell编程实战&period;2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第3章 Shell变量的核心基础知识与实践 3.1 什么是Shell变量 1.?什么是变量 在小学或初中时,我们开始接触数学方程式,例如:已知x=1,y=x+1,那么y等于多少? 在上述问题中,等号左边的x和y当时被称为未知数,但在Shell编程里它们是变量名,等号右边的1和x+1则是变量的内容(变量的值).注意,这里的等号符号被称为赋值,而不是等号. 通过上面的例子可以得出一个变量概念的小结论:简单地说,变量就是用一个固定的字符串(也可能是字符.数字等的组合)代替更多.更复杂的内容,该内容里可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0AJmM.html" rel="bookmark">跟老男孩学Linux运维：Shell编程实战1&period;2　学好Shell编程所需的基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 学好Shell编程所需的基础知识 本节首先来探讨一下在学习Shell编程之前需要掌握的基础知识,需要说明的是,并不是必须具备这些基础知识才可以学习Shell编程,而是,如果具备了这些基础知识,那么就可以把Shell编程学得更好,领悟得更深.如果只是想简单地了解Shell脚本语言,那么就无须掌握太多的系统基础知识,只需要会一些简单的命令行操作即可. 学好Shell编程并通过Shell脚本轻松地实现自动化管理企业生产系统的必备基础如下: 1)能够熟练使用vim编辑器,熟悉SSH终端及&quot;.vi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw08Wb.html" rel="bookmark" class="title">SQL Server编写存储过程小工具&lpar;三&rpar;</a>
					<div>
						server|存储过程 SQL Server编写存储过程小工具 功能:为给定表创建Update存储过程 语法: sp_GenUpdate &lt;Table Name&gt;,&lt;Primary  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8369M.html" rel="bookmark" class="title">在脚本中操作word</a>
					<div>
						word|脚本            On Error Resume Next           Dim wApp          Set wApp = CreateObject(&quot;Wo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wYOPp.html" rel="bookmark" class="title">为什么我装完声卡后重启系统就崩溃了</a>
					<div>
						问:最近重装Windows 98操作系统,装完声卡驱动程序后,重新启动电脑,系统就莫名其妙地崩溃了,提示为&quot;Explore&quot;错误.我不知道主板是什么牌子的,只知道声卡是C-Medi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAywlb.html" rel="bookmark" class="title">Oracle 10204 AWR导入性能的问题</a>
					<div>
						测试发现10g的AWR在导入大数据量的SNAP数据时,性能明显下降. 一个不到2G的AWR导出文件,利用AWR导入到目标数据库中,居然用时超过了5个小时. bash-2.03$ sqlplus / a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKoG5M.html" rel="bookmark" class="title">WCF中的自定义集合</a>
					<div>
						WCF Tips之一 集合元素类的定义如下: public enum FileType { TXT,DOC,HTML,OTHER } [DataContract] public class Docum ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAq1Xb.html" rel="bookmark" class="title">PS自制南瓜灯技巧</a>
					<div>
						PS自制南瓜灯技巧   PS中创建新文件 1280×1024 RGB色彩模式 72dpi.使用油漆桶工具将背景图层填充为黑色. 找一张南瓜图片,抠图,去掉背景,可以使用钢笔工具.魔棒工具.套索工具等等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NeJNz.html" rel="bookmark" class="title">Win7PC使用之Windows7系统维护自己来</a>
					<div>
						PC从诞生到现在,已经有三十多年的历史了,随着三十多年的发展,个人PC已经走进了千家万户,不知道大家有没有遇到过这个普遍的问题:不管计算机新买时速度多快或外表多漂亮,用上一段时间后,似乎都会越来越慢. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNBBwM.html" rel="bookmark" class="title">EXCEL复合饼图使用教程</a>
					<div>
						复合饼图是为了处理较多数据中有一些数据占比例很小,放在饼图中只有极细的扇形,可读性不强,于是将主饼图中某一些小比例的数据合并到一个堆积条形图中单独列出比较,可读性较强,视觉效果较好. 例:上海虹口区区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW843p.html" rel="bookmark" class="title">Word 2010如何设置快捷键提示功能</a>
					<div>
						  1.打开Word 2010(当然这个功能从2007就有了,一直延续到Word 2013).按alt键,出现提示符. 2.按&quot;N&quot;键,再按&quot;T&quot;键,就开始进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN198mb.html" rel="bookmark" class="title">mac文档Pages怎么分栏</a>
					<div>
						  Pages 是iWork工作套件中最常用的办公软件.也是OS X系统应用中最受用户欢迎的苹果自带应用程序之一,用Pages处理文稿,有着很多实用的技巧,今天PC6苹果网小编给大家带来的Pages怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo74xvb.html" rel="bookmark" class="title">百度音乐盒打不开问题的解决方法</a>
					<div>
						  故障原因: 第一种情况,打开百度音乐盒时,提示&quot;尊敬的用户:音乐盒已于近期升级.新版音乐盒需要最新版本 Flash Player 支持...&quot;;类似情况说明本机没有安装Adob ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGBWap.html" rel="bookmark" class="title">系统开机后无限自动重启怎么办？</a>
					<div>
						  (Windows高级选项菜单设置) 1.Windows高级选项菜单中,先尝试使用使用方向上下键移动到[最后一次正确的配置],然后回车重启电脑,尝试是否能正常进入系统. 2.如还是无法正常的进入系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZy7qz.html" rel="bookmark" class="title">网址超链接之外链定义</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 个人认为优化百度的话,没有超链接的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw7avz.html" rel="bookmark" class="title">PHP连接MySql数据库</a>
					<div>
						&lt;?php // 数据库服务器IP或地址 $mysql_server_name='localhost';  // 数据库用户名 $mysql_username='demo';  // 数据库密码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24Egop.html" rel="bookmark" class="title">PostgreSQL 9种索引的原理和应用场景</a>
					<div>
						标签 PostgreSQL , btree , hash , gin , gist , sp-gist , brin , bloom , rum , zombodb , bitmap 背景 Postg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOaZDqM.html" rel="bookmark" class="title">android防止提交事件时触发多个表单中的按钮&lowbar;Android</a>
					<div>
						单击拍照 button ,执行该函数 getPhoto() ,窗体执行的函数 funcSubmit() ng-submit 自动. 什么会需要更改,以防止这种情况发生?它执行的功能只有 getPhot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPgNvp.html" rel="bookmark" class="title">Android压缩图片到100K以下并保持不失真的高效方法</a>
					<div>
						 在开发Android企业应用时,会经常上传图片到服务器,而我们公司目前维护的一个项目便是如此.该项目是通过私有apn与服务器进行交互的,联通的还好,但移动的速度实在太慢,客户在使用软件的过程中,由于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWmO0p.html" rel="bookmark" class="title">《iOS组件与框架&mdash;&mdash;iOS SDK高级特性剖析》&mdash;&mdash;第2章，第2&period;4节地图注释和覆盖层</a>
					<div>
						2.4 地图注释和覆盖层 iOS组件与框架--iOS SDK高级特性剖析 地图视图(MKMapView)是一种可滚动的视图,行为独特:以标准方式在其中添加子视图时,子视图不会随地图视图滚动,而是静止的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YyVoM.html" rel="bookmark" class="title">Mac 安装mysql密码重置问题</a>
					<div>
						问题描述 Mac 安装mysql密码重置问题 第一次安装mysql,我的mac version:10.11.5.mysql版本:5.7.12. 在安装过程中生成了个临时密码,结果我没有记.在用Mysq ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZYZXp.html" rel="bookmark" class="title">javascript 前端-javascript中文本输入框通过bind方法绑定得到焦点和失去焦点时间</a>
					<div>
						问题描述 javascript中文本输入框通过bind方法绑定得到焦点和失去焦点时间 通过id找到文本输入框,将该文本输入框在JavaScript中通过bind方法绑定得到焦点和失去焦点事件,不要在h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rxLKp.html" rel="bookmark" class="title">上传图片Permission denied的问题，windows 7 下开发是好的，linux不可以。</a>
					<div>
						问题描述 在windows7下开发时,没有问题,图片可以上传,在 centos passenger下部署后,目录已经设为666,报错,清各位朋友帮忙诊断.错误信息如下:Errno::EACCES (P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRND8eM.html" rel="bookmark" class="title">一言不和就关停，国内个人网盘何去何从</a>
					<div>
						10月20日, 360云盘发布公告,宣布将逐步关闭个人云盘服务,转型企业云服务,并表示,在网盘存储.传播内容合法性和安全性没有得到彻底解决之前不再考虑恢复.至此,排名前十的网盘,今年已经关了七家. 一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjw5DNM.html" rel="bookmark" class="title">炒房客设陷套牢房东</a>
					<div>
						本报讯(记者王秋实)房主李先生一时疏忽,没有发现买卖合同里还隐藏着关于公证的条款,原来这是买房者魏某为了避开炒房风险,故意设下的合同陷阱.昨天,市一中院法官就此典型案件提醒业主在卖房时须注意合同内容, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkArROb.html" rel="bookmark" class="title">使用页面缓存是遇到的问题~~~</a>
					<div>
						问题描述 有两个问题,我在一个页面上放上一个时间戳和一个button,然后给页面设置好duration属性(20s),点button后会从数据库里读东西出来,现在遇到问题是,当我不停的点button后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkwEvM.html" rel="bookmark" class="title">IDC：阿里云安全能力和IaaS市场份额双项领先</a>
					<div>
						    近日,全球知咨询机构IDC发布&lt;IDC MarketScape:中国云服务提供商,2017厂商安全评估&gt;(以下简称IDC云安全评估报告).阿里云以其在安全上的综合实力和战略前瞻性, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq9vWb.html" rel="bookmark" class="title">从1876年第一个电话至今：盘点英国通信变迁史</a>
					<div>
						1948年,英国女王伊丽莎白在打电话 网易科技讯11月8日消息,据国外媒体报道,从专线电话到合用线路,从第一封电子邮件到拨号上网再到超高速宽带.4G移动网络以及智能手机,本文盘点了英国通信技术的发展重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk2a3z.html" rel="bookmark" class="title">svn服务器为什么老掉</a>
					<div>
						问题描述 svn服务器为什么老掉,服务开着隔一段时间就掉 解决方案 解决方案二:老掉?检查下你的服务器配置					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk05r1z.html" rel="bookmark" class="title">wordpress获取分类目录一些实例详解</a>
					<div>
						1.如何根据分类名称获取分类ID? 要实现根据分类名称获取分类ID就必须要用到这个函数:get_cat_ID() 这个函数的用法如下:  代码如下 复制代码     &lt;?php get_cat_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N659p.html" rel="bookmark" class="title">js实现div弹出层的方法&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了js实现div弹出层的方法.分享给大家供大家参考.具体分析如下: 话说现在各种插件出来了要实现弹出层真是太简单了,但个人有时觉得那些插件不实用经常会找一些纯js原生态的东西,下面来给各位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE5R6z.html" rel="bookmark" class="title">如何实时获知多少人在线？&lowbar;编程10000问</a>
					<div>
						global.asa&lt;script LANGUAGE=&quot;VBScript&quot; RUNAT=&quot;Server&quot;&gt; Sub Application_OnSt ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
